package com.kingdee.eas.custom.compensation.startingsalary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSalaryConfirmationEntrys1Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractSalaryConfirmationEntrys1Info()
    {
        this("id");
    }
    protected AbstractSalaryConfirmationEntrys1Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 转正后薪酬数据 's null property 
     */
    public com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo getParent()
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 转正后薪酬数据 's 定薪项目 property 
     */
    public com.kingdee.eas.hr.emp.SalaryItemInfo getSalaryItem()
    {
        return (com.kingdee.eas.hr.emp.SalaryItemInfo)get("salaryItem");
    }
    public void setSalaryItem(com.kingdee.eas.hr.emp.SalaryItemInfo item)
    {
        put("salaryItem", item);
    }
    /**
     * Object:转正后薪酬数据's 金额property 
     */
    public java.math.BigDecimal getAmount()
    {
        return getBigDecimal("amount");
    }
    public void setAmount(java.math.BigDecimal item)
    {
        setBigDecimal("amount", item);
    }
    /**
     * Object:转正后薪酬数据's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("A854CB7C");
    }
}